#  - ModifyGlobalSSHOriginInfo

## Overview








## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ModifyGlobalSSHOriginInfo`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string |  |**Yes**|
| **InstanceType** | string |  |**Yes**|
| **RsIP** | string |  |**Yes**|
| **InstanceId** | string |  |**Yes**|
| **Area** | string |  |No|
| **AreaCode** | string |  |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=ModifyGlobalSSHOriginInfo
&ProjectId=bCQaoFxj
&Area=oXkuHWSL
&TargetIP=DauVqsLd
&Port=7
&AreaCode=AiGYGiKQ
&Remark=QrcYWenh
&ChargeType=Year
&Quantity=4
&InstanceType=nzlyAdYg
&BandwidthPackage=1
&ForwardRegion=bJWEfuKO
&CouponId=tmnYxCXf
&InstanceType=iaoHdBYS
&InstanceID=LnHoApfC
```

### Response Example
    
```json
{
  "AcceleratingDomain": "tmZhZrTF",
  "Action": "ModifyGlobalSSHOriginInfoResponse",
  "InstanceId": "cRwAaxst",
  "Message": "WWWxsBVZ",
  "RetCode": 0
}
```





